> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluz.app/llms.txt
> Use this file to discover all available pages before exploring further.

# assignObjectOwner

> Assign an owner to an object that does not have one yet.

Assign an owner to an object that does not have one yet.
The target account is resolved from the caller's credentials (Bearer accountId or Basic operator account).
Requires MANAGE\_SUBUSERS. Forwards to auth-service POST /api/v1/object-owners.

```graphql theme={null}
mutation {
  assignObjectOwner(
    objectType: ObjectOwnerObjectType!
    objectId: UUID!
    userId: UUID!
  ): AssignObjectOwnerResponse
}
```

## Arguments

<ParamField body="objectType" type="ObjectOwnerObjectType!" required>
  *No description provided in the schema yet.*
</ParamField>

<ParamField body="objectId" type="UUID!" required>
  *No description provided in the schema yet.*
</ParamField>

<ParamField body="userId" type="UUID!" required>
  *No description provided in the schema yet.*
</ParamField>

## Returns

[`AssignObjectOwnerResponse`](/api-reference/types/assign-object-owner-response)
